## org.apache.ivy.osgi.core
Class ManifestParser

    java.lang.Object
      org.apache.ivy.osgi.core.ManifestParser

    public class ManifestParser

extends java.lang.Object

Provides an OSGi manifest parser.

Constructor Summary
`ManifestParser()`

Method Summary
`static BundleInfo` `parseJarManifest(java.io.InputStream jarStream)`
`static BundleInfo` `parseManifest(java.io.File manifestFile)`
`static BundleInfo` `parseManifest(java.io.InputStream manifestStream)`
`static BundleInfo` `parseManifest(java.util.jar.Manifest manifest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManifestParser

    public ManifestParser()

Method Detail

### parseJarManifest

    public static BundleInfo parseJarManifest(java.io.InputStream jarStream)
                                       throws java.io.IOException,
                                              java.text.ParseException

  Throws:
    `java.io.IOException`
    `java.text.ParseException`

### parseManifest

    public static BundleInfo parseManifest(java.io.File manifestFile)
                                    throws java.io.IOException,
                                           java.text.ParseException

  Throws:
    `java.io.IOException`
    `java.text.ParseException`

### parseManifest

    public static BundleInfo parseManifest(java.io.InputStream manifestStream)
                                    throws java.io.IOException,
                                           java.text.ParseException

  Throws:
    `java.io.IOException`
    `java.text.ParseException`

### parseManifest

    public static BundleInfo parseManifest(java.util.jar.Manifest manifest)
                                    throws java.text.ParseException

  Throws:
    `java.text.ParseException`